package ctbrec.ui.sites.manyvids;

import java.io.IOException;

import ctbrec.sites.manyvids.MVLive;
import ctbrec.ui.sites.AbstractSiteUi;
import ctbrec.ui.sites.ConfigUI;
import ctbrec.ui.tabs.TabProvider;

public class MVLiveSiteUi extends AbstractSiteUi {

    private MVLiveTabProvider tabProvider;
    private MVLiveConfigUi configUi;

    public MVLiveSiteUi(MVLive mvlive) {
        tabProvider = new MVLiveTabProvider(mvlive);
        configUi = new MVLiveConfigUi(mvlive);
    }

    @Override
    public TabProvider getTabProvider() {
        return tabProvider;
    }

    @Override
    public ConfigUI getConfigUI() {
        return configUi;
    }

    @Override
    public boolean login() throws IOException {
        return false;
    }

}
